%define name kisdnload
%define	version 0.9.1
%define release 4mdk

Name: %{name}
Summary: ISDN load information utility
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}
Patch0: %{name}-kdelnk.patch.bz2
Group: Monitoring
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt kdelibs
Prefix: %{_prefix}

%description
Utility to display ISDN activity information for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q 
%patch0 -p1

%build
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
   ./configure --with-install-root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
make prefix=$RPM_BUILD_ROOT/%{prefix} install

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/menu/

%post
if [ -x /usr/bin/update-menus ]; then
        /usr/bin/update-menus
fi
  
%postun
if [ "$1" = 0 ]; then
        if [ -x /usr/bin/update-menus ]; then
        /usr/bin/update-menus
        fi
fi  

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
/usr/share/icons/kisdnload.xpm
/usr/share/icons/mini/kisdnload.xpm
/usr/lib/menu/*

%changelog

* Fri Mar 31 2000 dam's <damien@mandrakesoft.com> 0.9.1-4mdk
- Release.

* Mon Dec  6 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

